GNU bug report logs - #53160
29.0.50; fcitx5 will freeze Emacs with pre-edited text enabled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eason Huang <aqua0210@HIDDEN>; Keywords: moreinfo; dated Mon, 10 Jan 2022 14:37:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53160 <at> debbugs.gnu.org:


Received: (at 53160) by debbugs.gnu.org; 13 Jan 2022 02:13:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 21:13:43 2022
Received: from localhost ([127.0.0.1]:59559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7pcT-0002fM-Rb
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 21:13:43 -0500
Received: from sonic301-30.consmr.mail.ne1.yahoo.com ([66.163.184.199]:40780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n7pcO-0002eq-UZ
 for 53160 <at> debbugs.gnu.org; Wed, 12 Jan 2022 21:13:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1642040010; bh=PVwSd3eO4gpwU/1sC3uk9qa/5qYpU9eSmVanjHUUU1I=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=fZdXDQEXG9sjUTKFu3SqTwsGBz1jZSgEkeaQ64VDnHYRU7onBo3BaQfxCUk4I88N6gS4TS+NP7i36p6A3QPgIeNS4a4r3Qewx7koxxf+Pza8n/vCTdW2QQXrX6stboVE1kzPWXP9dbzZ4yBk0LwDu4NQDeMAuIJ/7xacJ+GVkQTnORLciFHZv9Sbe5X8R0VyJljFQUZt1QfyUhAIhQmrUo/mZmua30Xwk8517/flrr33x/oe7GEu+Sp2K4KMO2ld5d1RE7ZzRKfI5VRvT6tF7sxwnXTjHUXQty0N6WR8j9BSBtzdQnXFY38u/sLOqgjkI87ZqFXnCxDuvR4iXWTAwA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1642040010; bh=CEdvUwX5J/R3bK1173rxnWD+fCgbczMaFl8/jnzZDTb=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=sVcjz5Eu7k+f0Mz0dB8J5kFOWkst1f/5bh/A5yTrlz2ele37WwS/bXs2ly9pPqtTaSAndQwC7e11IHHCYO3TPxRjfjkzLtPYDgobN6o/NWyk0xCaxlB0We1y4oHjR3RAEKIV/pkPek+i871OhTLmbGPLPVEMDauJOqKqKUD4N8DuJm5Q5mzzGyhqthnTiCf84vslvls6ZaynS5Sx9sdSzx+cbOqlZJRb+nplaJNOsZniGFpUs+Upg+u82yqi2PAzCggvCy3R0OpjCwdDD2FwOKrxwVtqqH+9IPUtQsbKRQS82H/WKErZGiiakjesVxQ4EU/+nopllAWTY3Z/rtU1mQ==
X-YMail-OSG: QpcTqbsVM1ndQEMk2keq35.lmcdyu.ciZh6ZJrBOJ8gzfyGW2HZ1D3BSE.tI2xX
 cIokH2JrOJP9UJanEwgd_6mv2F_tB1hxgtv4hSa6i53t.cBDTQg1bQ0f.IMq2UsgT34FK62hGAuO
 md1Yckb5hYzLUY3BtvC2qrOzStb.3U2RzJYxbuqnpmialpTPSOh9c6iqGXIxaIhehpkKfwQgInI7
 R69._265hOxpXhr6q_yhqxzGzaNa34CS.bpEsyvCGuhkEbJZJUAwOmzezt9yn1h3zhq589WFrGfX
 jWUavHD9kOEOG0t.xZg6nIt29qO_0jdBAM.WJVzeVFqIi7dkL.xVWbE3WGgyOx1ieMiVXMWLRimD
 raN_N71L0bngTJnE9NEoGUV6Wj45L2EFPweKtJQEE0jFajXYP3AWOijSeWvBB.M0ZXR_pLp9TRU3
 rT4xWjbZy.TjLR8d.lYGcmiI1jdbS.asD0U.H_mNP3Tr_GwNl2le1XnE54w3u44p25eDfwnUmPCl
 4nGqeBdi_Aw30qW7EkyhCpAYb4I4sW.jq5f97QyZzgup84qDcRC0OcPgEup6Dun7sgFZF6iQ6C78
 gCNVj93334dcj.UCXwsvjPDzlMurDxNPwFhh2pKhiaQZWGM5d1WS3j0EP4ly.XgCbDF7Plq836zQ
 mgiOMDF9U3sr8lRk6HOEXjxxd4K5PMVzXkzkStf5XtpRuI9Q3ontGL.84YuLBASiCqjEbPflMdsx
 msCw.S1KTqoG6S9EOadyp2AtNlL.5.8VxEzNQoN4PhQKXd3o1uBz1Tb5aHa7N3AVK4N_mtyRTwsd
 bP59sbWiPh0wOlLXDaNaTVZdFFogrh9uFR__swlrU2zvHIXSMoqUFrzvXHaKLEPNLy8ZM_GRkiof
 cWsQEuMdZeQ6g_8wyln5_arpsZ6fhZ6bHk8g.AqPprZzgHXDPNi7Ia8TKcO1NVMfnB_HZQoHyYUl
 LnUMgUp6AGetuH2QVAcjzYTwd8gcWVQ7BGAwwarpWQjB7abUOsAECz_tsyEdWlCs9fFqaNhjwiqs
 2ePMCwmASfsng9GFXEwWoRZTEYrR2NcTg9.dNbSmVKpgLuAHuKHaDJryqQOmKlde1nfQPcr4SVXZ
 QO233HV2zf9qE.dyKxgMKpqymkodGcaxGW2ebmuMn5fkQI9CaEb5oWHfIRLCRVp1J1W4.uTMqOKW
 JAC4DnA6_SrD9CYt2PFMMF5HaHU9lauIWa7oAmBx.PI2TdwwCIWl1APlHprVOehb8Ljduwu9jk_P
 lzw.6txE7rro9vF5AuW4XYWBjjjBaDWo7G.yFMNY6AxB0yRFl4JNaWSxMXMqK30NiGi7.yXccX5i
 Rjqk.LD5uF5eb_FpJQMn4K6W_s.eAXBkZWgaNn0HmTNTeNUAE7L3t6ME7bHOQDKP9MHppHCBVdnk
 jZGWGV_9O3jvqqMSCz9P5xZHjF1KTH.iR39gZ2kOXHA4nO5eZArEa5AY4JeySV7HYljgc9.FbNWo
 PksePXBhXzemDgRsgaP0FtoiiiZj7_BOcxKcdsUufyzw5RkhPbsm06ONuwPxlcGdJiqECvJpVs8j
 rs6SURn4lOZGmdxvmb.7VSHLuOwvnsKY8hGOBhOOa9Z8HU2k0AZ3dofmUDjzGO5nYre7hIoXXdpz
 oB5EJYxYS64.N9dCe1MZ2rdhWtSW80bA76HP14.RBr_2HW.sNqNPIG0jnsqRasaYQgSXpdw9Kw8D
 pjT5uQFpoyL.1cjZA7WgNohcKtXLIMlHLZqhNS3F9d3B7MMSGzH.RYD_x9UM2dUjZu3RQImT8zUJ
 QQfxg.I8EQsltOxKoPC85ezaef6wPnCMlTjI3oCfN64l08jai8TXJnRQd.Qip7RhklxVeVcs5Eor
 V3chw42k0VJEVrSFEAPudDFICpQ15qyyVDzRKNMa854uKBaFINcGcjBVY25hVMEy9BS8gS7EZYdX
 nCo0q0rl7ZcRKPaqo2G32oU1isoHpvLqdTpgeXOqQAmBym.7TCRRf31xrUi18UEL4N3ZiG8.6iMm
 ySYkOUvDIapvYlABQaTGGMx_bpHQwugnxwTWui9634k3u5HBq12keSTgDpaUw5.ju0BjjqueoYhg
 53HC6oTUxL.JckRVFMQpZwbIK0_aCbxVjWT4GQf1D7_BUEVMRR2__mSPLqjcecKPGzapgtGbQqAV
 Dc88aNptut6w8Kl0wPDt3EUqauVPO7SxBwJbVsREN6X1w4tgoLEf_zgrgoDdRggTBPKEk_XAupLC
 FZFYAmZdrbn73Hlh2GzYZmpRQbXNS95oBzeUdxqqPa7wIOjYzEFCc
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic301.consmr.mail.ne1.yahoo.com with HTTP; Thu, 13 Jan 2022 02:13:30 +0000
Received: by kubenode504.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 2856ab24ec70581751cef0beaac47ca8; 
 Thu, 13 Jan 2022 02:13:26 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eason Huang <aqua0210@HIDDEN>
Subject: Re: bug#53160: 29.0.50; fcitx5 will freeze Emacs with pre-edited
 text enabled
References: <tencent_DFD6125FA4AE8D06F0E735C3CD76B9AC9707@HIDDEN>
 <87fspvp0ek.fsf@HIDDEN>
 <tencent_39DECD21B9D497C0126B24B48D2970B83507@HIDDEN>
 <1828565066.1363813.1641906858965@HIDDEN>
 <tencent_261970B835914D53399597ED923C24A90D07@HIDDEN>
 <87wnj5ydwh.fsf@HIDDEN>
 <tencent_FF4CC927D2EA863178CEDAE366919CC18B06@HIDDEN>
Date: Thu, 13 Jan 2022 10:13:22 +0800
In-Reply-To: <tencent_FF4CC927D2EA863178CEDAE366919CC18B06@HIDDEN> (Eason
 Huang's message of "Wed, 12 Jan 2022 11:30:20 +0800")
Message-ID: <87v8yoqt6l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19594
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 250
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53160
Cc: 53160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eason Huang <aqua0210@HIDDEN> writes:

> Po Lu <luangruo@HIDDEN> writes:
>
>> Odd... do the issues still happen under emacs -Q?
>
> Yes, the issues still happen under emacs -Q.

Please see if the problem has been resolved on master.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53160; Package emacs. Full text available.

Message received at 53160 <at> debbugs.gnu.org:


Received: (at 53160) by debbugs.gnu.org; 12 Jan 2022 03:30:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 22:30:32 2022
Received: from localhost ([127.0.0.1]:55951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7ULI-0006pe-5j
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 22:30:32 -0500
Received: from out162-62-58-211.mail.qq.com ([162.62.58.211]:41751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aqua0210@HIDDEN>) id 1n7ULF-0006pB-R9
 for 53160 <at> debbugs.gnu.org; Tue, 11 Jan 2022 22:30:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=foxmail.com;
 s=s201512; t=1641958221;
 bh=EelCle2+W9YDH0efJ3AFY3pmPHUT76th/ShN5I43q00=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Tfhy4bAYNEUbcdFWOwn+etrBJu+fYUl+n1yvKCne0PJnk9KAkhrBusZ7AM3Fz9IrE
 8LcNcdirZEzzyVWY9cHanSCOPz2MsTyff4/GVRtMirsvTRxTVOji4zHPwgnHIrxF3b
 WMT43PaVK6lrDsvWGeQUarR0utd5VFgJz/f2QSnM=
Received: from DESKTOP-30D687D ([202.96.203.174])
 by newxmesmtplogicsvrsza9.qq.com (NewEsmtp) with SMTP
 id 79390A53; Wed, 12 Jan 2022 11:30:19 +0800
X-QQ-mid: xmsmtpt1641958219tw13vp6ei
Message-ID: <tencent_FF4CC927D2EA863178CEDAE366919CC18B06@HIDDEN>
X-QQ-XMAILINFO: OBvbJS/7aDyU9XRTe7zIDJZvAU+Ty6F+gA9vQo9Iuv7YS23mc4B4UCiYBVOy1f
 5y+q9+ZCRvMjqZxtHdTxisOvu/C5gIwPdxU41H6VoinTuzCY/Xb04GeaS2GZlY291XYJAuxbJFjU
 eDtxa1nFpbthvPm9xn4ZUDXuVg2B16h34HyFL4nW8xCJQOX8z3+ur+n9X73ju547e9W3ZJnzGAD2
 6mZZxgIblR/ni8QIKahHt7/Rw84Zp91hdUcTThOEnmitr94+MPBKfviJwpshqv0qxu7BwFpamlue
 y0oBEe9q1KNFNbgYLXnkRcCwvr0KiVONFMifsVR5amxq/OT/kOVgleuouywI+64Dcot2T2o321gk
 iiL27FmnoKE2dDwkJJFxD3ChSv8vkis8iuH74OSxKfetmgv9rJdUJcC4xibPluGb9IYTCNbhGEel
 Rke+cl7Vgoli3jToajRzOws6cqBiIBo+nPfxqoLcV2D1SWTyxMBTsoCtL0w25e0Q1er7ZiNRBnvr
 f2lMoIsy4yaYtZtW13hGq9/xMZ7ojbDnuG+c3poo5ExYYONHBVViHe+/iWh+nTH3ZDl11MJ0Ely8
 0wmik2f04LItDfWm4eThUXUG95PjFh06BsAznCLPzDkq0bM52G+rRFYvPmQMWBZvqRjREaMh/9tx
 RFIOXPSw7IoP0sxMt4qjlc3DNF2Z2kZqg2mibB3Cjxgqpd0qNI/mRRUBouwdjj+n+VVU/OJrtGWo
 9WHGzP/YNznZrkeB6KD8Ra5x7i4xiViId5NHtHYGA6pORXgjY3mGkHxpDjSByHCe3mTP7BzBh0GY
 vx2hTPsOimJdwiR3wQPaLM8e7zMGL6BYa9B+EBAVm0iyLahRQU5Ag4Zo0UR/Cg73h1eN3SGppsOb
 XsBMLzM9yO
From: Eason Huang <aqua0210@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#53160: 29.0.50; fcitx5 will freeze Emacs with pre-edited
 text enabled
References: <tencent_DFD6125FA4AE8D06F0E735C3CD76B9AC9707@HIDDEN>
 <87fspvp0ek.fsf@HIDDEN>
 <tencent_39DECD21B9D497C0126B24B48D2970B83507@HIDDEN>
 <1828565066.1363813.1641906858965@HIDDEN>
 <tencent_261970B835914D53399597ED923C24A90D07@HIDDEN>
 <87wnj5ydwh.fsf@HIDDEN>
Date: Wed, 12 Jan 2022 11:30:20 +0800
In-Reply-To: <87wnj5ydwh.fsf@HIDDEN> (Po Lu's message of "Wed, 12 Jan 2022
 08:51:42 +0800")
Message-ID: <86k0f5wrzn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Po Lu writes: > Odd... do the issues still happen under emacs
 -Q? Yes, the issues still happen under emacs -Q. 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [162.62.58.211 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.58.211 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (aqua0210[at]foxmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (aqua0210[at]foxmail.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53160
Cc: 53160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Po Lu writes: > Odd... do the issues still happen under emacs
    -Q? Yes, the issues still happen under emacs -Q. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [162.62.58.211 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.58.211 listed in list.dnswl.org]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (aqua0210[at]foxmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (aqua0210[at]foxmail.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

Po Lu <luangruo@HIDDEN> writes:

> Odd... do the issues still happen under emacs -Q?

Yes, the issues still happen under emacs -Q.



from Eason Huang




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53160; Package emacs. Full text available.

Message received at 53160 <at> debbugs.gnu.org:


Received: (at 53160) by debbugs.gnu.org; 12 Jan 2022 00:52:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 19:52:02 2022
Received: from localhost ([127.0.0.1]:55881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7Rru-00071M-Ka
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 19:52:02 -0500
Received: from sonic303-22.consmr.mail.ne1.yahoo.com ([66.163.188.148]:37678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n7Rrs-00070j-Tb
 for 53160 <at> debbugs.gnu.org; Tue, 11 Jan 2022 19:52:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641948714; bh=fbPfcSCmwfVNQuM46zjmj2GMLyVfJvDyYt2zxF7DkzM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Vr056d1E4B0qYgq92l2TBi7Iyr2rORkycGdZo08MKu2j+Us59agBQr1xfqB25++idD1ZsPzLqeZZVhBYX0KvNUA0/4wmHGN7K2ornOFZUyuBUqsC2C/Xo7HOK6wPera2BSOp0hYW91xZZcHjIt2z6LMOLO0kQ67JTFsAuZQFMvIkZcp12GkfB2scKqUQQQ+9J33DdkdgXynTXXf90maF8Yz6XXDRKwYXEgs1vW0l20WTZqrC/mYJs4cleq+nvuIDLseXCBvbbplKmS4Hm5lZBRbqACtPCfbRgh/ZtZKRPmV7oei5Fu8lX1rx29PkRIeVmfBaUFpEFNfY88ReXfbPzA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641948714; bh=dc6BGdW6Rlpje2FFisgCkaIpIZHRGgtbqoaTcnap3Pi=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=iYVKibTB1ca4YnZVm+EUXF4nKZ9eIFCqil1op+IYRoZBtXSAbizkJ/Ef+IXbo8xrGOMqqjFQWJEuB098guzAYc927eXI5ICvmGDvHaKU8mYdMWU68om7S9Lc8aZIMbvGcvCAuI21Fcm++OLnpFRWSNVH71d6vEM3iVI4szhtuovbja4X9zsm2ItsqhxIBK8qcpmfh9tL5TvOI8On+fc0LwAVDJ489BHKknIVe8d59rXX/su4hGH41ERU/omnAkPzVDbeHpQNehVvMjCWysr6JIKkiVGuUeFj9yvRNuUuOz6sQutIBEhx1/rAOYpVguEWVzcsZJ91uIk7ZMtVW063HA==
X-YMail-OSG: PdSmdXEVM1mvfK63_gnAmOPE6AMSblW84O8KYsx0JaJgbMWCzsIjV0zMRHuiPGZ
 YYBtwGlzO3S70CHts3n6dPzix3T.g7ydUWV4FJzejaPsMsbkkHeXryNFi_hz97QSEsExCiLJJuIK
 dqG4mPnFNHp3iqYgWqxT3JV2oi9pSXoEEpPfG8qGfFEaGBlAiO6dtclwucrxPpbPDJcCmE6jGHS.
 yffLAfZGcYc0bmyoZG3JoqX88KNLw5oSYPwH.215Vw9WJqdXnchbjqVBfkzB91M_2pYGd2DRESzf
 3Z18oQtUL3l7kTuJX5_or62CTMQg2I2Y.vJSPDpYy0FLKaCCULienGWo9YU7FIqrNbm0L4zZqnAY
 viPFjii5uFOYJbN5xb3yHG17f6AYooNYwyu6hV62xoLmaZD_Ty2SrHojei1tnPMKFnhGOfDblsQi
 U185u65m2kLec2inIveRCvh1fnVLZeSgwvPkNTr1qZyBYGjUazKZ0YcCRiiXRwJWUKkcMcX5JzxP
 eW4ilu3BfDWWmCrREmCZb6kt6OimiikpUkXDtvzZBZ5mXPzBWGDfJ7n9Xz1_FDUxDkmXPTtFbLO1
 Vtk_mDEf6IzdngPhXMxjInyqcHVox3_Q.0Wkw_PAqXPcg5J3LhDxOWr4B8XwNzsWFeu5FXV6n6T4
 fsI9Z2NwHzCNN.grXBRM2DLbp0b6odJg24va7SHgB8XEpMpWinvZfafckIhzjsnWtC_YMJQYJJX6
 Zv82H8H9A2GZoHeoZoTsgs8zdx3oDVfkI4tsydayjo5LgCttamjjuHchhQRg6A4NSGgk1Db.39qV
 OpdFI98lSroqbbiWdKNYWmCdVZSzOEuiiaWv9ZYbKZFANvYve31Pwhw93BdqSoBPCu9_wHN3eojl
 tSG9hnpyXDzlyV7KtRvVnIByoas4S18P.a4.qio6NVqr6B_4skmxDhgTflDuBjQKXtYhLTJxYVFb
 PUWEhPZkUOzFZ._QEyDv9SbkPLhhz_40QeAgYHvusmd9AzfRZMRhsy2RQpU4mLJubi.xBUgzfopc
 OaQmABko8c9ZReoQHEXuHBfA40ArjHVPd.eLc.IeVTdA8lzO7QyRFFSDtdNeNKx84.eMcsZxGlHs
 RrLNMOuGt6pIgIKO8tPYAnK.Ga3oiXeqvSJsDzgg9kal._IAPYpTi7X7kQN72IsWjUwXwyxs8e.5
 3nPyXatZADNz0a4gSUR7pg0QvlfdPKtIUpxhn5HZKlbldN8HyCD79PqW7uqYlO_UWaCC5txtpVHC
 h4hFRpY39ZLNRbNJN5J00PkeH1RSMXqX43DUoc14m4YjsGIcxec.M980zRsuLM5WGZQn6nlKGWbe
 LBELxEJfvBxy_UsiYu8IzsbEzBdXhlJ0vUpsm6NVzZJJWyfF.Ql6010OfOHpiv8rvaPVgS2X37F4
 TI7UDq1EXg5ci8qIyu5K.0hbMcv5ESZVZg.gNkjymLxAcE_p5VI7NB6QK2eGGykfEdXPRXzIGIH.
 QPBD4z5sbMNKHoVRS.BmjdIsktCL.D9qzcuvSh_CLqImMxJ7q0q.kfl4QNJMP3Ltux8HVRU9ENqG
 vB6NPkzE_8iGDGl5rYa9vHm1xxv8kJp7h9IZJH0sSPWVr0W_xUdyshWrUD2o55.xyq5Zgb4cbgEN
 EYeaSO_xhYriAM5vmzHhny7ADWgc1ZC0BoHOeT9VaEP.EhslPv44YHNYGsJ2N7EIwt.8X4_WwLYw
 nR6okMRTAweob0m54Z1B63oIRLXv0a22dobjJ587b5xd7a_2j9DXJgg6mV9XeP.IFwgZtAxl_Ngx
 Jxz2GBd92r2MaLJIkqfn8LNTgAX2zsNgzHDRd9Hod8NMjvxaQts22fHCfQ6GWwMY45czBS3wD.TJ
 Anuxye82UIujhAWnvaIeEBApuzsRJQ6AXhJFgSgx_sDRbeX6tQ4ofDQi2CT6zXchG8DxhHVylwOu
 DmB84eZamAlCjMq_jPT1mWeMXLBfyw9kb_zMpIW31q5.U9IoQVaWy1ou39rKjldwHiXuc5R1O9Be
 2QZwuHnNbbfxhs27eHGctW0v5ve8vwA9bXqzvnOGxLy1fYlsUsBEItc_UlknLzYsMm.wdDUBX8JA
 VzAcA2EgEmOEcYKnm.NCyZgV8cGYJQnRmRNHwOG.GiDR2s2gbj1hpB9YnIfZNhdB3ehc97hbr5Xe
 gvFjagoa4N5i_XqmcqA0MM72.k7AsFIMal2uteqs07unwEUNdK2afZcU4l0PdpKDXVJPJxS1cR4v
 WXGuEiv54Y5llDuOnuCOlY3QIwcZXTDYwaOy8DS3AamhxCGc9wP8k
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Wed, 12 Jan 2022 00:51:54 +0000
Received: by kubenode516.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 25789258d78997c635475b31d3341242; 
 Wed, 12 Jan 2022 00:51:46 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eason Huang <aqua0210@HIDDEN>
Subject: Re: bug#53160: 29.0.50; fcitx5 will freeze Emacs with pre-edited
 text enabled
References: <tencent_DFD6125FA4AE8D06F0E735C3CD76B9AC9707@HIDDEN>
 <87fspvp0ek.fsf@HIDDEN>
 <tencent_39DECD21B9D497C0126B24B48D2970B83507@HIDDEN>
 <1828565066.1363813.1641906858965@HIDDEN>
 <tencent_261970B835914D53399597ED923C24A90D07@HIDDEN>
Date: Wed, 12 Jan 2022 08:51:42 +0800
In-Reply-To: <tencent_261970B835914D53399597ED923C24A90D07@HIDDEN> (Eason
 Huang's message of "Tue, 11 Jan 2022 21:56:06 +0800")
Message-ID: <87wnj5ydwh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19551
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 222
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53160
Cc: 53160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eason Huang <aqua0210@HIDDEN> writes:

> I test it again with (setq garbage-collection-messages t), but I didn't
> see any messages about GC when the issues occured.

Odd... do the issues still happen under emacs -Q?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53160; Package emacs. Full text available.

Message received at 53160 <at> debbugs.gnu.org:


Received: (at 53160) by debbugs.gnu.org; 11 Jan 2022 15:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 10:19:46 2022
Received: from localhost ([127.0.0.1]:55303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7Iw3-0000v8-Vb
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 10:19:45 -0500
Received: from out162-62-57-64.mail.qq.com ([162.62.57.64]:58599)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aqua0210@HIDDEN>) id 1n7HdJ-0006q6-Ms
 for 53160 <at> debbugs.gnu.org; Tue, 11 Jan 2022 08:56:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=foxmail.com;
 s=s201512; t=1641909367;
 bh=pdb/+9LLcCBZshJEm/MRpeekNMYd3A6+zjRaeWrPnbY=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To;
 b=rrwj79eKsN2Shl/1AKwmrim0+k+VKLJTtqj0ew/5LkXf9cZh0pYZeDazi6K3djLVW
 Xu0lbP5xHS2iu3ubaRMovNKjdP6vuPOc9wrJgGUJtNbNHWW3pdDIIa9187Qhb/wTv4
 2+4EdxrdE+w7X2heHOc7W/5p13w0ReHT5rkbJM8o=
Received: from macbook ([114.82.35.246])
 by newxmesmtplogicsvrszc7.qq.com (NewEsmtp) with SMTP
 id E06A741D; Tue, 11 Jan 2022 21:56:06 +0800
X-QQ-mid: xmsmtpt1641909366t7y6gj48c
Message-ID: <tencent_261970B835914D53399597ED923C24A90D07@HIDDEN>
X-QQ-XMAILINFO: MntsAqBg2ZZ5ZCKNuKDghpHT6WucprdZ+ozaDBN1bz0hIVJGXHVFVwaPGpHq0n
 Xejfi3ZrsRcjgoV6drzR9Lcm/82Hu2lvJtpw8DTbpovteM0Y1li0VDjOjR1KeyR4+14+F7JPphNJ
 cQoVI2O6PFbQVDziusTW/5WsDicLt7cj4PpIsKO5Oc7q1vJbT4PvWQgzmCrA7M3XefB9V6zGmLnq
 fGt3dfi2l8qE9FwRsbecdoUSCu1rc8Le8WnYrtB0upXKW3x9L9sGlmJLw4s5XO0Z+Cjp2mAkpIK3
 fUWMZD6JGaVkKN2rOgY3Zjk5ZOSqL1o78carfi63TLoXtuAU9soE3oBIYu7E97xaLgdTQeNb3VLZ
 1wyytguWV52QxibIb1pv/bv8fA2I09QX4bjQ4ko46SLQl3AIBAbpAOP4GNTJFulVwmsElJX2vKmN
 KBgt7ArMCjwWl9p0EQ0UF6fiDYHhCX0h75v5PrpbCKLFb77uhpMb2NP+F9weCTFmh7x6GLpNtTBt
 jF6n5aJWbdu1dBSPrQZYZg2cDkcM4J3Iech3xQqskwhOYpMO/3nNU/f5f35WH7t38pqgWTeSA6Hj
 awivTd1yjdD1V4flt6anL9YlCXoSQkobWJ6WID0j//vSFIdwWedPu656dxRMFT06qRfLcrRH2MVa
 yc1ukGvdNw3I2tBOLTSj1p5uK8iiRGnd0UhSuy9LxOLktwK7amwUW+MzZ/HjWK4uml09OlCl6WEi
 l6KIYSFWU1pYAVNObK3BZZu4bH4Wtlg6WRCsIVgzFNRXAN9PFHkMjDLjowbqM7GwBa6CLda8Fu7s
 GEV/tZ0B01ac86uCUMN0XyiTStJV1vRtCK0NMC9rQUuW16BhSrWjqQ3TtnRH+VYsRG8BubXgijKq
 NdSiVmaTdLiEWh0B2XcSD8VUqdE7m/OQ==
From: Eason Huang <aqua0210@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#53160: 29.0.50; fcitx5 will freeze Emacs with pre-edited
 text enabled
References: <tencent_DFD6125FA4AE8D06F0E735C3CD76B9AC9707@HIDDEN>
 <87fspvp0ek.fsf@HIDDEN>
 <tencent_39DECD21B9D497C0126B24B48D2970B83507@HIDDEN>
 <1828565066.1363813.1641906858965@HIDDEN>
Date: Tue, 11 Jan 2022 21:56:06 +0800
In-Reply-To: <1828565066.1363813.1641906858965@HIDDEN> (Po Lu's
 message of "Tue, 11 Jan 2022 13:14:18 +0000 (UTC)")
X-OQ-MSGID: <m2a6g2xtop.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 3.9 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Po Lu writes: >> I forget how to make Emacs show messages
 when GC happened, so I >> can't test it now. Do you have any suggestions for
 testing GC? > > [Sorry for the webmail, but Yahoo's SMTP is wedged; I hope
 Repl [...] 
 Content analysis details:   (3.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [162.62.57.64 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (aqua0210[at]foxmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [162.62.57.64 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (aqua0210[at]foxmail.com)
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
 addr 1)
X-Debbugs-Envelope-To: 53160
X-Mailman-Approved-At: Tue, 11 Jan 2022 10:19:43 -0500
Cc: 53160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Po Lu writes: >> I forget how to make Emacs show messages
   when GC happened, so I >> can't test it now. Do you have any suggestions for
    testing GC? > > [Sorry for the webmail, but Yahoo's SMTP is wedged; I hope
    Repl [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [162.62.57.64 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [162.62.57.64 listed in wl.mailspike.net]
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (aqua0210[at]foxmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (aqua0210[at]foxmail.com)
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  3.2 HELO_DYNAMIC_IPADDR    Relay HELO'd using suspicious hostname (IP
                             addr 1)

Po Lu <luangruo@HIDDEN> writes:

>> I forget how to make Emacs show messages when GC happened, so I
>> can't test it now. Do you have any suggestions for testing GC?
>
> [Sorry for the webmail, but Yahoo's SMTP is wedged; I hope Reply All
> worked and this reaches the bug tracker]
 Thanks for reminding.

> You can (setq garbage-collection-messages t) -- it will display a
> message in the echo area upon garbage collection.

I test it again with (setq garbage-collection-messages t), but I didn't
see any messages about GC when the issues occured.


-----
From Eason Huang




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53160; Package emacs. Full text available.

Message received at 53160 <at> debbugs.gnu.org:


Received: (at 53160) by debbugs.gnu.org; 11 Jan 2022 00:43:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 10 19:43:50 2022
Received: from localhost ([127.0.0.1]:53599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n75GQ-0003In-Jm
	for submit <at> debbugs.gnu.org; Mon, 10 Jan 2022 19:43:50 -0500
Received: from sonic302-22.consmr.mail.ne1.yahoo.com ([66.163.186.148]:38040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n75GO-0003IZ-QZ
 for 53160 <at> debbugs.gnu.org; Mon, 10 Jan 2022 19:43:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641861823; bh=i4PAKzLIZgbvw3j9gB+CSdA9u0vfmHuTV6ORvz6JKD4=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=BAyvDQqJ51lCItlVUSUezGY95UTbyUZA6OXvR2IbrGk4eUFQQWIJQdKCBSnxHaKeei1DwL7XGvv35VstwCZiAa9Ud9iFK5Dnyx18mBMDd2yklj6i+nKCI8VX9EqL9H8yKrcrilJdI/pdxAo63HQxVLXqBvwFR0qxcSZGL+c+dkoEkgu9vKpKtBgv769GgMArH5Erq/CYu9xlS0jwpFWwxGDZF6GdeiZP8UmDz57TYLV6Fgho6iZ7tXF25cD/mzJS1iFSKoBXvMFC2eePncqIxgyqXbVfxVuNDBNN+SD4iDdmnxPv9IasZ+lvyNaPRbrlV+sGG09Lz38HWzhfDnYnaA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641861823; bh=IdsTozvLHRDuFRBzUFCgXwA/DIdN0j6cgNMBeLuInr+=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=cgXq5y70bFLo/4ZZ2vnlUAx/t0Zx/yDv3ioLIAbtcHaURblmZGL63JDzk1ICwGaDnUVI8VGGepa5nCWsoYKcFaAXZLBocXUDYm+PFoDhfZg/h/YmzThcpSmmD2rxRNH+1ljWvTUIXQ0CZ6nXZK3T2IVn9IrkxdNu+alQuelCFLmZqhajIwR1U5eg9ZhP+k79D9msaQs8xyP40dgTr31e0C64lV3KZFpyIcflfmmGapA7kFhEN5xFD7OJhTvwqADDW7LcYTD85j9LOGVGEWvX+HvIKBF4kqxjhXWbrg1y/x0QuSz8hZHLnr58PWzIbs1VzAa2l1K5dSjI5AoLxRRmQQ==
X-YMail-OSG: q4.PVNoVM1kltchEdCl..RbzsveFuadIzx4.z_vZP9rO5sQ9IuQx6Ojjm4yv2y1
 WJNN2lUj5Lb47gpj_8qmkydaSJuU1QUBai7dg6WZETt7CWlkHsGKtacQuboX.g6szQJDE_rj.g9j
 rZgekBpwOZcFYZD7AqCJcVAOXGMl34QgZLESsGm1JPTDWs9yplZCJbxvFFWuGNHLXb_td08Kb4XJ
 DXjG0y5zaZvS9OnbKf57W9zGADwRi.Jn3K9MvWZDxkemo_6zFDNVcAWZL4NkCGdKMYncRPlNrrug
 HtWCRSFHuI_3fTRV3pHCAgVrJqLVQmfMnlfy1H7E4epYNNeAKWj7qStuCy_6urGe3KFhh.DVgSrv
 c2pdcd.yKcbMyW9wXE5CCCQBIblbNxoG5HNJ8aXFyL7LwApg_t13UNeT8ju3dfGhH0fncqi4i5.4
 LsU4lJ3Qclb9A0_e4Mwowth6b4aJTMZBwh6VdW2aVjB0Y.eJ0l_zhnwHIs.ClB4adjJ9CUFZq4RH
 krJBo8.SRnZUa7EBPp1u7CgZYQt1ecxsy.BEqhn3I8N9TTbP0q14PZgM3eo9L9zpxjDBQ6hhC.gK
 sWc7FUmXDXxtUHdggdFFdNRSp9jU.B.POvzzjlTdaTXrk0lr91DTdu6lVSXTxqySMYyXLUndMaWm
 AItWA7a9hVYJnxCBaI2p9nyEe9NJfXYW1UPQC0RZvB0Dqt8Z.HCReKi9VOvnGieThO9NA5O5jLjZ
 0YnFRXxHfRiKwMmjtkaRFCu4LZZr4oMJLNbQ19vsh2Gl_IWfTJGwpm1QsiqUrg.hK9HxTRM37isw
 3o.vtl6rxs4UzFiZlCm6z.I1RvXNgZhK_T_y63qnxwmZDeqQHas5DB50ULxugyQUMVPQ8qdHIvc5
 5oQ2SHBY8rAOYGEYSFPVO8huA0z_cCGLA0UXB8gL7MCfVwcrlk7M7He1E_D37tAQd0kotJbMeGj1
 9gzjNH3PkR3hMrhpGp219zSe_Vf6NBPy0IPg1xDPLip0bw7HahrnsT6VzBRMNGCkS90WFLq6MAOt
 Ho.MH3yMQ5DVWs6ldqcEs0BK7V1yYFi2l09eEeaYTkdUeGbKBPM6Lg1uvApzcCNpGmQwlk92W820
 h_piTed52_qwhy4.i.pg3v1fVKOeLWGschdsumos5KtxfJON0g8nlI7Bha0CMeR7NURIjAEBFcyS
 1lab9UzPLFOuqlHMjW83VYJPtIBghHfYQfSHaIyJzMFoLLkEGRzdL8aRRXq3yR.1vjxpGucRdPof
 DN_m9hPXAPfTitZ_K4cHRkDsSwL1uSJDB1gmhOrm31ZiIdwdp0aXTuWQnUV6rB5CHYRb1SFQCwlJ
 r0.LMYYy8_L7UwKDlSQXZbtVFEWbLPpCS7S1I33HdCpS9d_Wfl.ORopXpT.8QQDcsM6HyniGPkHv
 imTTKeat_LbMTYid3_Sap7fSJFG95R6y1t49r6CNbyd0.bH3pY4nLqZqxrEbgV85Lo1VZjkzJB_q
 pmWMw6bbykqH67jA4SpBRi6FaLqXefoCP2QHBYfDaT_MAYxn37AJ9peXG7D0RakzrGg4e7YfirW7
 IV_gpx3BA2ay2BZ1A2bx9L0r9SZciB.PMFzsh6ewr3N7QI57tAk1UIxX22FUoTqreMB5A1ZJw731
 wI0aRIEwIpg6A85CPmShP79EGX5gdjJeoHFFAbRCrZJx0lBS9C.gBCJFs5JWhe57fA.B8Z2c95u9
 GTN5snFh2.httlRu9T_F4RjGLr9P_tigw9LdxqFabwMd4GxTjQhaTouAwR0wG_L.zGyB6mrIWJW.
 BBsOxKaoKkzsIQvJwwdTCnUBqgKVh0Y5KlQErNTbx3vFLByLegyE5ViThQ6lkGXMiHDUWtnxn4fT
 QJcg2egPHgvY8uT3N3UPp1ECuca.xryp45eousREpZClq.CAzF3L7IMWkRvvhhJp61DK_0YB5FWN
 kgdubB88JJ63F9oi9T3KnzihHThV0ZgXA.5rBFPRiceSVsLnynA4zSj9zGn2CdEaZjVHe_kRA005
 .M8WOKEU.AQ1FnyJTtl6q_CyaE84t1nJHiGXxY9fAeEkODVVIXSQt2B7VQFKRSoGMJAufSs81TCz
 .xYFfSW.3MVsXX7ezFkL1IHd5cIukr3NHA4.E.EX5VRl3vZnrYMJvIXAro7crliMpLQVRBjWmhch
 CgyE940KpGX7EIVaMd447Rr2mcPIydUxGmgCaOtDcImLVUF4EYDzjpPAH_cM0GGrQLHfwJmA5I7e
 7z4ZS4Q37ZXCJnF967FmtpzaQQOseCZzKGnBLbXLwYW3mc87cICgWzpH7
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ne1.yahoo.com with HTTP; Tue, 11 Jan 2022 00:43:43 +0000
Received: by kubenode501.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 086aa0ee5f731c160195ad3876e0a76a; 
 Tue, 11 Jan 2022 00:43:36 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eason Huang <aqua0210@HIDDEN>
Subject: Re: bug#53160: 29.0.50; fcitx5 will freeze Emacs with pre-edited
 text enabled
References: <tencent_DFD6125FA4AE8D06F0E735C3CD76B9AC9707@HIDDEN>
Date: Tue, 11 Jan 2022 08:43:31 +0800
In-Reply-To: <tencent_DFD6125FA4AE8D06F0E735C3CD76B9AC9707@HIDDEN> (Eason
 Huang's message of "Mon, 10 Jan 2022 21:49:41 +0800")
Message-ID: <87fspvp0ek.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19551
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 534
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53160
Cc: 53160 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eason Huang <aqua0210@HIDDEN> writes:

> With latest version of Emacs 29.0.50, @Po Lu implement a nice feature to
> support showing pre-edited text of Fcitx5(A Chinese input method).
>
> But when I enable this new feature, Fcitx5 will freeze Emacs sometimes.
> Fcitx5 works well on gedit.
>
> Can anyone help to fixed this issue?

Thanks.  Some important questions:

  - Does this still happen under emacs -Q?  (You can set manually
    `x-gtk-use-native-input' to t there for testing.)

  - Could this perhaps be related to GC?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53160; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jan 2022 14:36:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 10 09:36:51 2022
Received: from localhost ([127.0.0.1]:52044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6vmw-0007Ow-GU
	for submit <at> debbugs.gnu.org; Mon, 10 Jan 2022 09:36:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:38460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <aqua0210@HIDDEN>) id 1n6vAz-0005hr-P6
 for submit <at> debbugs.gnu.org; Mon, 10 Jan 2022 08:57:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41714)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <aqua0210@HIDDEN>)
 id 1n6vAz-00076z-DK
 for bug-gnu-emacs@HIDDEN; Mon, 10 Jan 2022 08:57:33 -0500
Received: from out203-205-221-235.mail.qq.com ([203.205.221.235]:55603)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <aqua0210@HIDDEN>)
 id 1n6vAl-0000ds-7h
 for bug-gnu-emacs@HIDDEN; Mon, 10 Jan 2022 08:57:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=foxmail.com;
 s=s201512; t=1641823026;
 bh=gtkSS/fi9zAVyxQkMcDdHnqjmrt1rzvJ93h9CfN8SM8=;
 h=From:To:Subject:Date;
 b=Qjw/4OCx0W9tAihy/5lQtvZcGOJrr5DRvLd0IVbOT77uygm+o5henlBqD+M3yoACH
 pYZjHurohzboehUMxIFMRdb9vzdXySHe7x6Z6MG0oXv9xOd7ZHKPCjB0hxUl8EVrGi
 qau4VDJWkF1ZBTVzSMMhvHXy7EjLmJPvc5/LAtkA=
Received: from macbook ([114.82.35.246])
 by newxmesmtplogicsvrszc7.qq.com (NewEsmtp) with SMTP
 id C6991A4E; Mon, 10 Jan 2022 21:49:41 +0800
X-QQ-mid: xmsmtpt1641822581tcs8cpo27
Message-ID: <tencent_DFD6125FA4AE8D06F0E735C3CD76B9AC9707@HIDDEN>
X-QQ-XMAILINFO: ORebAwr6AjEjp8rFgrXWE8ahQNJzOqQ+iZkHaRPZWJinU33/YWbKGAJ1uST812
 l+3ytcCHIFPLYrdcBrSmjlva/GSGRWeT49iBPtsVkFSqxpAXQ0GP1cHKcH8KmqaLePc8OtBzHJwo
 BRPYG7yL6Jm3n+Iz7JsUmwV78f0PgPyU9b9uwdUDQe6MHjKnwVLQ6CN01Md2uUBPOUTAkzf1dBTO
 uRHBo9EjRy/oPButj+/amGX6fbX8C86cm1vHg2DqL/zhjB2DGiLWp8+SjvWOrsorNfpNwEUQCnPS
 nCLWezb33WwMoGt7DOydE86lkYlTZpYJUa++WhyVhlpKd7hfw6ffX0bohoJaQ01St1YQxPV25TPu
 1uJFZ6UXakIGhtYTkstmr3M1tTp3WS4vXDDdGl+b/9MNDzu69OPe1wziTwmIshMM2E1z2t4/AiNL
 xf6KhlmtYENpGlkLa7PKIW0MiO/SsGV9beu9Buu2MVTFB6Eg+feOVIzb3If+PD/lVlYiaE6Ziarf
 PeP+5avHU4E+xkvX2z+QOxSMMnEdook2PJcx0RVeTD2Nx9FLTfHDzN3TtR24jVmb39oLZePbPThA
 Ui9d0v8mbCD2ipHrhgnY/Gx9CnSXGj/1RSvdCqw9fGtozM8je8pGX59OHEl4Rt+5YnsfiqLLZF59
 3LO6NDQ37dTApmeGF7QhZzmv2OMZ7Mno6co0AmIj/2IQlQnon+q3LLd8DbCSGv9FZ4xFq8vlsIm9
 kSerT9/xHkoPAgpFlo2H4ncPn3HXsZ6akpBNFs5rG3ajRjkB0EkQEc6VPjksv/LQ9kjvBGYXYWjo
 3PsmYSLKLyylU8na+/w/cJbZlOFKnC+HtpRPGc1gihl4r7khwKSx0WvooxizmOg0AoYY7g5t1ECb
 Go0gvabJJK
From: Eason Huang <aqua0210@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; fcitx5 will freeze Emacs with pre-edited text enabled
Date: Mon, 10 Jan 2022 21:49:41 +0800
Message-ID: <m27db74s5m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=203.205.221.235;
 envelope-from=aqua0210@HIDDEN; helo=out203-205-221-235.mail.qq.com
X-Spam_score_int: 11
X-Spam_score: 1.1
X-Spam_bar: +
X-Spam_report: (1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_ENVFROM_END_DIGIT=0.25,
 FREEMAIL_FROM=0.001, HELO_DYNAMIC_IPADDR=1.951, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, RDNS_DYNAMIC=0.982, SPF_PASS=-0.001,
 T_SPF_HELO_TEMPERROR=0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 10 Jan 2022 09:36:45 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


With latest version of Emacs 29.0.50, @Po Lu implement a nice feature to
support showing pre-edited text of Fcitx5(A Chinese input method).

But when I enable this new feature, Fcitx5 will freeze Emacs sometimes.
Fcitx5 works well on gedit.

Can anyone help to fixed this issue?


In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.31, cairo version 1.17.4)
 of 2022-01-10 built on lilydjwg
Repository revision: d5cf772cad1773f5e40f85c51199632721050f65
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-sound=alsa --with-modules --without-libotf --without-m17n-flt
 --without-gconf --without-gsettings --with-sound=no --with-xwidgets
 --without-gpm '--program-transform-name=s/\([ec]tags\)/\1.emacs/'
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'
 CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG JSON LCMS2
LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP
SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XPM XWIDGETS
GTK3 ZLIB

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx5
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date seq gv
subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
xwidget-internal dbusbind inotify lcms2 dynamic-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 46456 9465)
 (symbols 48 5691 1)
 (strings 32 15696 1943)
 (string-bytes 1 505668)
 (vectors 16 11774)
 (vector-slots 8 163372 16707)
 (floats 8 21 52)
 (intervals 56 400 4)
 (buffers 992 11))




Acknowledgement sent to Eason Huang <aqua0210@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53160; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 13 Jan 2022 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.